ChangeSet 1.1032, 2003/03/05 21:39:05-08:00, go@turbolinux.co.jp

[PATCH] USB: Another hid-core worksround

This is a another hid-core workaround.
OKI USB keyboard(ID=0007) has keyboard + mouse + pointer.
And it needs HID_QUIRK_NOGET.


 drivers/usb/hid-core.c |    4 ++++
 1 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/hid-core.c b/drivers/usb/hid-core.c
--- a/drivers/usb/hid-core.c	Thu Mar  6 14:20:03 2003
+++ b/drivers/usb/hid-core.c	Thu Mar  6 14:20:03 2003
@@ -1099,6 +1099,9 @@
 #define USB_VENDOR_ID_TANGTOP		0x0d3d
 #define USB_DEVICE_ID_TANGTOP_USBPS2	0x0001
 
+#define USB_VENDOR_ID_OKI		0x070a
+#define USB_VENDOR_ID_OKI_MULITI	0x0007
+
 struct hid_blacklist {
 	__u16 idVendor;
 	__u16 idProduct;
@@ -1138,6 +1141,7 @@
  	{ USB_VENDOR_ID_ONTRAK, USB_DEVICE_ID_ONTRAK_ADU100 + 400, HID_QUIRK_IGNORE },
  	{ USB_VENDOR_ID_ONTRAK, USB_DEVICE_ID_ONTRAK_ADU100 + 500, HID_QUIRK_IGNORE },
  	{ USB_VENDOR_ID_TANGTOP, USB_DEVICE_ID_TANGTOP_USBPS2, HID_QUIRK_NOGET },
+	{ USB_VENDOR_ID_OKI, USB_VENDOR_ID_OKI_MULITI, HID_QUIRK_NOGET },
 	{ 0, 0 }
 };
 
